Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::CheckAbort Class Reference

`#include <SegmentMerger.h>`

Inheritance diagram for Lucene::CheckAbort:

## Public Member Functions

| CheckAbort (OneMergePtr merge, DirectoryPtr dir)
virtual | ~CheckAbort ()
virtual String | getClassName ()
boost::shared_ptr< CheckAbort > | shared_from_this ()
virtual void | work (double units)
| Records the fact that roughly units amount of work have been done since this method was last called. When adding time-consuming code into SegmentMerger, you should test different values for units to ensure that the time in between calls to merge.checkAborted is up to ~ 1 second. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

double | workCount
OneMergePtr | merge
DirectoryWeakPtr | _dir

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::CheckAbort::CheckAbort | ( | OneMergePtr | merge,
|  | DirectoryPtr | dir
| ) |  |

virtual Lucene::CheckAbort::~CheckAbort | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::CheckAbort::_getClassName | ( | ) |  |

inline static

virtual String Lucene::CheckAbort::getClassName | ( | ) |  |

inline virtual

Reimplemented in Lucene::CheckAbortNull.

boost::shared_ptr< CheckAbort > Lucene::CheckAbort::shared_from_this | ( | ) |  |

inline

virtual void Lucene::CheckAbort::work | ( | double | units) |  |

virtual

Records the fact that roughly units amount of work have been done since this method was last called. When adding time-consuming code into SegmentMerger, you should test different values for units to ensure that the time in between calls to merge.checkAborted is up to ~ 1 second.

Reimplemented in Lucene::CheckAbortNull.

## Field Documentation

DirectoryWeakPtr Lucene::CheckAbort::_dir

protected

OneMergePtr Lucene::CheckAbort::merge

protected

double Lucene::CheckAbort::workCount

protected

The documentation for this class was generated from the following file:

- SegmentMerger.h

clucene.sourceforge.net